package net.ihe.gazelle.simulator.pam.automaton.modelImplementations;
// Generated by GraphWalker (http://www.graphwalker.org)

import org.graphwalker.java.annotation.Edge;
import org.graphwalker.java.annotation.Vertex;


public interface IBP6Graph {

    @Vertex()
    void v_Pre_Admis_Sceance();

    @Vertex()
    void v_Pre_Admis_Hospitalisation();

    @Vertex()
    void v_Consultant_Externe();

    @Vertex()
    void v_Consultant_Urgences();

    @Edge()
    void A53();

    @Edge()
    void A52();

    @Edge()
    void Z99();

    @Edge()
    void A07();

    @Vertex()
    void v_Hospitalise();

    @Vertex()
    void v_Absence_Temporaire();

    @Edge()
    void A11();

    @Vertex()
    void v_Pas_de_venue_courante();

    @Edge()
    void A01();

    @Edge()
    void ini();

    @Edge()
    void A13();

    @Edge()
    void A38();

    @Edge()
    void A06();

    @Edge()
    void A05();

    @Edge()
    void A04();

    @Edge()
    void A22();

    @Edge()
    void A21();

    @Edge()
    void A03();

    @Vertex()
    void v_Pre_Admis_Consultation_Externe();
}
